javax.swing

## Class ToolTipManager.outsideTimerAction

- java.lang.Object
- - javax.swing.ToolTipManager.outsideTimerAction

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  ToolTipManager

    protected class ToolTipManager.outsideTimerAction
    extends Object
    implements ActionListener

### Constructor Summary

Constructors
`protected` `outsideTimerAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)` Invoked when an action occurs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### outsideTimerAction

    protected outsideTimerAction()

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Description copied from interface: `ActionListener`
Invoked when an action occurs.

Specified by:
  `actionPerformed` in interface `ActionListener`